<?php
class guestbook extends cmsFrontend { 			//описываем класс guestbook на основе системного класса cmsFrontend

    public function actionIndex() {  			//функция, выполняемая по умолчанию, поэтому actionIndex

    $template = cmsTemplate::getInstance();     //подключаем шаблон

    $perpage = 2;                               //задаем переменную для пагинации (деления на страницы) по 2 на страницу
    $page = $this->request->get('page',1);      //получаем номер текущей страницы, по умолчанию 1

	$this->model->orderBy('date_pub','desc')->limitPage($page, $perpage);  //задаем сортировку запроса (по дате, в обратном порядке) и ограничиваем запрос исходя из текущей страницы и количества сообщений на страницу

	$total = $this->model->getMessagesCount();  //получаем количество сообщений в базе (getMessagesCount задается в model.php)

    $messages = $this->model->getMessages();    //получаем сообщения, заносим в массив (getMessages из model.php)

    if($page>1 && !$messages){cmsCore::error404();};  //если страница больше, чем 1 и сообщений нет (не хватило :), значит такого номера и быть не может) выдаем обшибку 404

    $template->render('message', array(     	//передаем переменные в шаблон message.tpl.php (из папки templates\default\controllers\guestbook)
        'messages' => $messages,                //сообщения
        'total' => $total,                      //сколько всего страниц
        'page' => $page,                        //номер текущей страницы
        'perpage' => $perpage                   //сколько сообщений на странице
    ));

    }

    public function actionAdd() {               //функция добавки нового сообщения в базу

    $template = cmsTemplate::getInstance();     //подключаем шаблон

	$form = $this->getForm('message');    		//загружаем form_message.php из \system\controllers\guestbook\forms

	$is_submitted = $this->request->get('submit');              //проверяем, была ли форма отправлена

	$message = $form->parse($this->request, $is_submitted);     //парсим форму, передаем запрос, и флаг, была ли отправлена форма

	$errors = false;                                            //массив для ошибок

	if($is_submitted){                                          //если форма была отправлена
         $errors = $form->validate($this, $message);            //сперва проверяем на ошибки (валидация по полям)
         if(!$errors) {                                         //если ошибок не было
             $message_id = $this->model->addMessage($message);     //просим модель записать сообщение в базе (model.php строка 12)
             $this->redirectToAction('index');                  //редиректим на страницу просмотра сообщений (в actionIndex)
         }
         if($errors) {                                              //если ошибки были
             cmsUser::addSessionMessage('Ошибки в форме', 'error'); //выводим сообщение об ошибке
         }
    }

	$template->render('add', array(     //передаем данные в шаблон add.tpl.php (из папки templates\default\controllers\guestbook)
    	'form' => $form,
    	'message' => $message,
    	'errors' => $errors
    ));

    }

    public function actionDelete($message_id=false) {              //функция удаления сообщения из базы

    $user=cmsUser::getInstance();                                  //Создаем объект юзер (понадобится для проверки админ-не админ)
    if(!$user->is_admin) {cmsCore::error404();}                    //если не юзер (прав мало), 404

    $this->model->deleteMessage($message_id);                      //просим нашу модель выполнить функцию deleteMessage (строка 16 из model.php)

    $this->redirectBack();                                         //редиректим назад

    }

}