<?php
//данный шаблон используется в actionIndex
$user = cmsUser::getInstance(); //Создаем объект юзер (понадобится для проверки админ-не админ)

$this->setPageTitle('Гостевая книга');      //задаем заголовок страницы
$this->addBreadcrumb('Гостевая книга', href_to($base_url));   //добавляем в навигацию путь к компоненту

$this->addToolButton(array(                 //добавляем кнопку в меню действий пользователя
    'class' => 'add',                       //класс кнопки (для оформления)
    'title' => LANG_ADD,                    //текст кнопки из language
    'href'  => $this->href_to('add')        //ссылка кнопки к нашему actionAdd
));

$colors = array(                           //массив цветов для оформления фона сообщений в гостевой (см. строка 35)
	-1 => '#FA9E9E',
	0 => 'gray',
	1 => '#89E489',
);

?>
<h1>Гостевая книга</h1>

<?php
   if(!$messages) {                       //если в 15 строке frontend.php массив получился пустой (записей нет в базе) выводим
 ?>
 <p>Нет сообщений</p>
<?php
  }
?>

<?php if($messages) { //а если сообщения есть
?>

	<?php foreach($messages as $message) { //то для каждого из них
	?>

		<div class="message" style="background:<?php echo $colors[$message['opinion']];//подставляем стиль фона в соответствии с полем  opinion
		?>">

        	<div><b><?php html($message['title']); //заголовок сообщения (поле title таблицы)
        	?></b></div>
        	<div>Написал: <?php html($message['author_name']);  //автор сообщения (поле author_name таблицы)
        	?>
        	-
        	<?php echo html_date_time($message['date_pub']);    //дата написания сообщения (поле date_pub таблицы)
        	?>
        	</div>

        	<div class="content"><?php html($message['content']);  //само сообщение (поле content таблицы)
        	?></div>

        	<?php if($user->is_admin) {                            //если юзер -  админ (3я строка помогает), выводим ссылку на удаление
        	?>

        		<div>
        		      <a href="<?php echo $this->href_to('delete', $message['id']); ?>">Удалить</a>
        		</div>

        	<?php  } ?>

		</div>

		<hr />

	<?php  } ?>

	<?php echo html_pagebar($page,$perpage,$total);               //встроенная функция для вывода пейджбара (навигации по страницам)
	?>

<?php } ?>
